declare
  cur          sys_refcursor;
  cur_pk       sys_refcursor;

  tab_name     varchar(128);
  pk_name      varchar(128);
  seq_name     varchar(128);

  max_pk       numeric(16);
  seq_pk       numeric(16);

  counter      numeric(16);

  ddl_query    varchar(256);

  table_n1     varchar(30) := 'DOMAIN';
  table_n2     varchar(30) := 'RISK';
  table_n3     varchar(30) := 'RISK_TYPE';
  table_n4     varchar(30) := 'TASK';
  table_n5     varchar(30) := 'TASK_PROPERTY';

  seq_name_fix varchar(30) := 'TMP_SEQUENCE_GEN_SEQ';
begin
  open cur for
    select
      uc.tabname,
      ucc.colname
    from
      syscat.tabconst uc,
      syscat.keycoluse ucc,
      syscat.columns tc
    where
      uc.constname = ucc.constname
      and uc.tabschema= ucc.tabschema
      and ucc.tabschema = tc.tabschema
      and uc.tabname = ucc.tabname
      and ucc.tabname = tc.tabname
      and ucc.colname = tc.colname
      and uc.tabschema = current_user
      and uc.type = 'P'
      and tc.typename = 'DECIMAL'
    order by uc.tabname;

  loop
    fetch cur into tab_name, pk_name;
    exit when cur%notfound;

    max_pk   := null;
    seq_pk   := null;
    seq_name := tab_name||'_SEQ';

    if ( lower ( tab_name ) = lower ( table_n1 ) or lower ( tab_name ) = lower ( table_n2 )
         or lower ( tab_name ) = lower ( table_n3 ) or lower ( tab_name ) = lower ( table_n4 )
         or lower ( tab_name ) = lower ( table_n5 )
       ) then
      seq_name := seq_name_fix;
    end if;

    select count(1) into counter from syscat.sequences t where t.seqschema = current_user and t.seqname = seq_name;

    --the sequence exists
    if ( counter = 1 ) then
      ddl_query := 'select max ( ' || pk_name || ' ) from ' || tab_name;
      open cur_pk for ddl_query;
      fetch cur_pk into max_pk;
      close cur_pk;

      if( max_pk is null ) then
        max_pk := 1;
      end if;

      if ( counter = 1 ) then
        ddl_query := 'select nextval for '||seq_name||' from dual';
        open cur_pk for ddl_query;
        fetch cur_pk into seq_pk;
        close cur_pk;

        dbms_output.put_line(tab_name|| ' - '||pk_name||': ' || max_pk || ' - SEQ: ' || seq_pk);

        --il valore della sequence e' minore del massimo della tabella
        if ( max_pk > seq_pk ) then
          loop
            open cur_pk for ddl_query;
            fetch cur_pk into seq_pk;
            close cur_pk;

            exit when seq_pk > max_pk;
          end loop;
        end if;--if(seq_pk < max_pk)
      else
        dbms_output.put_line(tab_name||' - '|| max_pk || ' - not found');
      end if;--if( counter = 1 )
    end if;

  end loop;
  close cur;
end;
/
commit;
