CREATE
OR REPLACE
TRIGGER TRG_ADD_REMOVE_ENT_FLAT_HIER AFTER INSERT
    ON
    ENTITLEMENT_FLAT_HIER FOR EACH ROW DECLARE ENT_PROFILE_TYPE constant NUMERIC(1) := 1;

code_oper VARCHAR(256);

v_tar_sync NUMERIC(16);

v_app_sync_dis NUMERIC(1);

counter NUMERIC(16);
BEGIN
SELECT
    COUNT(1) INTO
        counter
    FROM
        tmp_codoperation;

IF ( counter = 0 ) THEN RAISE_APPLICATION_ERROR ( -20200,
'NO OPERATION CODE FOUND IN TMP_CODOPERATION TABLE' );

elsif ( counter = 1 ) THEN SELECT
    code INTO
        code_oper
    FROM
        tmp_codoperation;

elsif ( counter > 1 ) THEN RAISE_APPLICATION_ERROR ( -20201,
'TOO MANY OPERATION CODE FOUND IN TMP_CODOPERATION TABLE' );
END IF;
-- add profile
 IF (inserting) THEN IF ( :new.child_int_type = ENT_PROFILE_TYPE
AND :new.ext_fulfillment_limit = 0 ) THEN SELECT
    p.sync,
    a.sync_disable INTO
        v_tar_sync,
        v_app_sync_dis
    FROM
        APPLICATION a,
        target t,
        pwdcfg p
    WHERE
        t.id = a.target
        AND a.id = :new.child_application
        AND t.pwdcfg = p.id;
-- verifico se l'applicazione e propagabile
 IF ( ( v_tar_sync IS NULL
OR v_tar_sync = 0 )
OR v_app_sync_dis <> 0 ) THEN RETURN;
END IF;
--e' necessario passare per la tabella di employment perche dobbiamo controllare
--quali entitlement siano effettivamente posseduti dai person
--se ci fosse un entitlement senza profili associato ad un utente (e quindi non presente
--sulla tabella authorizations) una query fatta a partire dall'authorizations non
--darebbe risultati corretti!
 INSERT
    INTO
        authorizations (id,
        person,
        entitlement,
        profile,
        cod_operation,
        entitlement_flat_hier,
        employment, 
		account_code, 
		pwdmanagement) SELECT
            authorizations_seq.nextval,
            e.person,
            e.entitlement,
            :new.child,
            code_oper,
            :new.id,
            e.id,
			pwd.code, 
			pwd.id
        FROM
			employment e, 
			employment_pwdmanagement epwd, 
			pwdmanagement pwd
		WHERE
			e.entitlement = :new.parent
		AND e.represented is null
		AND e.id=epwd.employment
		AND pwd.id=epwd.pwdmanagement;
		
-- deleghe
 INSERT
    INTO
        authorizations (id,
        person,
        entitlement,
        profile,
        represented,
        cod_operation,
        entitlement_flat_hier,
        employment, 
		account_code, 
		pwdmanagement)SELECT
			 authorizations_seq.nextval,
            e.person,
            e.entitlement,
            :new.child,
            e.represented,
            code_oper,
			:new.id,
			e.id,
			pwd.code,
			pwd.id
        FROM
			employment e, 
			employment_pwdmanagement epwd, 
			pwdmanagement pwd
		WHERE
			e.entitlement = :new.parent
		AND e.represented is not null
		AND e.id=epwd.employment
		AND pwd.id=epwd.pwdmanagement;
END IF;
END IF;
END TRG_ADD_REMOVE_ENT_FLAT_HIER;
/