declare
  stat        varchar(2048);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42710'); -- The name of the object to be created is identical to the existing name

begin
  stat := '
  CREATE TABLE CFG_DISPLAY_ENTITY_DETAILS
  (
    ID                             NUMERIC(16)         NOT NULL,
    CFG_DISPLAY_ENTITY             NUMERIC(16)         NOT NULL,
    NAME                           VARCHAR(256),
    STATUS                         NUMERIC(1)          DEFAULT 1
  )
  IN &DATA_TABLESPACE
  INDEX IN &INDEX_TABLESPACE
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42889'); -- PK already defined

begin
  stat := '
  ALTER TABLE CFG_DISPLAY_ENTITY_DETAILS
    ADD CONSTRAINT CFG_DISPLAY_ENTITY_DETAILS_PK 
    PRIMARY KEY (ID)
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42710'); -- The name of the object to be created is identical to the existing name

begin
  stat := '
   ALTER TABLE CFG_DISPLAY_ENTITY_DETAILS
   ADD CONSTRAINT CFG_DISPLAY_ENTITY_DETAILS_FK
   FOREIGN KEY (CFG_DISPLAY_ENTITY)
   REFERENCES CFG_DISPLAY_ENTITY (ID)
   ON DELETE CASCADE
';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

CALL SYSPROC.ADMIN_CMD ( 'REORG TABLE CFG_DISPLAY_ENTITY_DETAILS' );

GRANT ALL ON CFG_DISPLAY_ENTITY_DETAILS TO IGA;
GRANT ALL ON CFG_DISPLAY_ENTITY_DETAILS TO IGACONN;

declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42710'); -- The name of the object to be created is identical to the existing name

begin
  stat := '
  CREATE SEQUENCE CFG_DISPLAY_ENTITY_DETAILS_SEQ
    AS NUMERIC(18)
    START WITH 100
    INCREMENT BY 1
    MINVALUE 1
    MAXVALUE 999999999999999999
    NO CACHE
    NO CYCLE
    NO ORDER
    ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

GRANT USAGE ON SEQUENCE CFG_DISPLAY_ENTITY_DETAILS_SEQ TO IGA;
GRANT USAGE ON SEQUENCE CFG_DISPLAY_ENTITY_DETAILS_SEQ TO IGACONN;
