declare
  rq_id            numeric(16);
  rq_name          varchar2(256) := 'Workflow History';
  rqd              clob;
  counter          numeric(16);

begin


  rqd := 'select
'||'  req_au.req_grp as request_group,
'||'  case
'||'    when req_au.obj1_attr1 is null or req_au.obj1_attr1 in ( ''0'', ''1'' ) then ''Informal request''
'||'    when req_au.obj1_attr1 > ''1'' and req_au.req_parent is not null then ''Child access request''
'||'    when req_au.obj1_attr1 > ''1'' and req_au.request_num_type > 60 and req_au.target_attr2 = ''Review Conflicts'' then ''Conflict review''
'||'    when req_au.obj1_attr1 > ''1'' and req_au.request_num_type > 60 then req_au.target_attr2
'||'    when req_au.obj1_attr1 > ''1'' and req_au.req_parent is null then ''Access request''
'||'    else req_au.req_grp || '' - '' || req_au.target_attr2
'||'  end as request_detail,
'||'  case
'||'    when req_au.req_grp <> req_au.req_id then req_au.req_id
'||'    else req_au.req_grp
'||'  end as request_id,
'||'  req_au.req_created_on request_creation_date,
'||'  ra.code || '' - '' || ra.surname || '' '' || ra.name as request_applicant,
'||'  req_au.request_type,
'||'  req_au.request_status,
'||'  case
'||'    when ro.code = ra.code then null
'||'    when ro.code is not null then ro.code || '' - '' || ro.surname || '' '' || ro.name
'||'  end as request_operator,
'||'  case when rb.code is not null then rb.code || '' - '' || rb.surname || '' '' || rb.name end as request_beneficiary,
'||'  req_au.event_date,
'||'  req_au.obj1_attr3 as entitlement_name,
'||'  req_au.obj1_attr4 as application_name,
'||'  req_au.target_attr5 as realm,
'||'  req_au.event_desc as other_details
'||'from
'||'(
'||'  select
'||'    case
'||'      when sr.parent is null then sr.id
'||'      else sr.parent
'||'    end as req_grp,
'||'    sr.id as req_id,
'||'    sr.parent as req_parent,
'||'    sr.created_on as req_created_on,
'||'    sr.applicant as req_applicant,
'||'    al.operator_code,
'||'    al.cod_operation,
'||'    al.event_date,
'||'    al.target_attr2,
'||'    al.obj1_type,
'||'    al.obj1_key_id,
'||'    al.obj1_key_name,
'||'    al.obj1_attr1,
'||'    al.event_desc,
'||'    sr.req_type as request_num_type,
'||'    case
'||'      when sr.req_type = 0 then ''Access Request''
'||'      when sr.req_type = 1 then ''Access Removal Request''
'||'      when sr.req_type = 4 then ''Admin Access Change''
'||'      when sr.req_type = 5 then ''User Access Change''
'||'      when sr.req_type = 6 then ''Role Assign''
'||'      when sr.req_type = 8 then ''Role Removal''
'||'      when sr.req_type = 9 then ''Role Renewal''
'||'      when sr.req_type = 10 then ''Delegation Assign''
'||'      when sr.req_type = 12 then ''Delegation Removal''
'||'      when sr.req_type = 13 then ''Delegation Change''
'||'      when sr.req_type = 16 then ''Resource Removal''
'||'      when sr.req_type = 18 then ''Password Reset''
'||'      when sr.req_type = 19 then ''Password Change''
'||'      when sr.req_type = 20 then ''Password Reset (Target System)''
'||'      when sr.req_type = 21 then ''Generic''
'||'      when sr.req_type = 31 then ''OU Role Provisioning''
'||'      when sr.req_type = 32 then ''Account Suspend''
'||'      when sr.req_type = 33 then ''Account Restore''
'||'      when sr.req_type = 51 then ''Role Assignment (Admin)''
'||'      when sr.req_type = 52 then ''Role Removal (Admin)''
'||'      when sr.req_type = 53 then ''Role Amendment (Admin)''
'||'      when sr.req_type = 54 then ''OU Multi Role Assignement''
'||'      when sr.req_type = 56 then ''Time Multi Role Assign''
'||'      when sr.req_type = 57 then ''User Transfer''
'||'      when sr.req_type = 58 then ''Account Management''
'||'      when sr.req_type = 59 then ''Account Creation''
'||'      when sr.req_type = 61 then ''Delegation Renewal''
'||'      when sr.req_type = 63 then ''Role Provisioning''
'||'      when sr.req_type = 65 then ''Forked Access Request''
'||'      when sr.req_type = 70 then ''Entitlement Management''
'||'      when sr.req_type = 71 then ''Insert User''
'||'      when sr.req_type = 72 then ''Update User''
'||'      when sr.req_type = 73 then ''User Delete''
'||'      when sr.req_type = 77 then ''Entitlement Create''
'||'      when sr.req_type = 78 then ''Entitlement Update''
'||'      when sr.req_type = 79 then ''Entitlement Delete''
'||'      when sr.req_type = 80 then ''User Management''
'||'      when sr.req_type = 81 then ''Account Create''
'||'      when sr.req_type = 82 then ''Account Update''
'||'      when sr.req_type = 83 then ''Account Delete''
'||'      else cast ( sr.req_type as varchar(256) )
'||'    end request_type,
'||'    al.obj1_attr2 as request_num_status,
'||'    case
'||'      when al.obj1_attr2 = ''0'' then ''RAW''
'||'      when al.obj1_attr2 = ''1'' then ''Not authorizable''
'||'      when al.obj1_attr2 = ''2'' then ''Created''
'||'      when al.obj1_attr2 = ''3'' then ''Approved''
'||'      when al.obj1_attr2 = ''4'' then ''Suspended''
'||'      when al.obj1_attr2 = ''5'' then ''Rejected''
'||'      when al.obj1_attr2 = ''6'' then ''Performed''
'||'      when al.obj1_attr2 = ''7'' then ''Completed''
'||'      when al.obj1_attr2 = ''8'' then ''Failed''
'||'      when al.obj1_attr2 = ''9'' then ''Pending''
'||'      when al.obj1_attr2 = ''10'' then ''Escalated''
'||'      when al.obj1_attr2 = ''12'' then ''Partially authorizable''
'||'      when al.obj1_attr2 = ''13'' then ''Partially approved''
'||'      when al.obj1_attr2 = ''14'' then ''Partially performed''
'||'      when al.obj1_attr2 = ''15'' then ''Partially completed''
'||'      when al.obj1_attr2 = ''17'' then ''INCOMPATIBLE ON GEN''
'||'      when al.obj1_attr2 = ''19'' then ''INCOMPATIBLE ON MOD''
'||'      when al.obj1_attr2 = ''21'' then ''INCOMPATIBLE ON AUTH''
'||'      when al.obj1_attr2 = ''23'' then ''INCOMPATIBLE ON EXE''
'||'      when al.obj1_attr2 = ''24'' then ''WAITING FOR ROLE ADD TO OU''
'||'      when al.obj1_attr2 = ''25'' then ''END of WAITING FOR ROLE ADD TO OU''
'||'    end request_status,
'||'    al.obj1_attr3,
'||'    al.obj1_attr4,
'||'    al.target_attr5,
'||'    al.target_key_name
'||'from #swimschema#.request sr left outer join ( select * from #servschema#.audit_log al where al.module = ''ARM'' ) al on sr.id = al.obj1_key_id
'||'  where sr.id > ( select cast ( min ( al.cod_operation ) as numeric ) from #servschema#.audit_log al where al.module = ''ARM'' )
'||') req_au
'||'left outer join #swimschema#.s_user su on req_au.req_applicant = su.id
'||'left outer join #pmschema#.person ra on ra.code = su.userid
'||'left outer join #pmschema#.person ro on ro.code = req_au.operator_code
'||'left outer join #pmschema#.person rb on rb.code = req_au.target_key_name
'||'order by req_au.req_grp, req_au.req_id, req_au.event_date
';

  select count(1) into counter from r_query t where lower ( t.name ) = lower ( rq_name );
  if ( counter = 1 ) then
    select t.id into rq_id from r_query t where lower ( t.name ) = lower ( rq_name );
    update r_query_data set query = rqd where r_query = rq_id;
  end if;
  
end;
/
commit;
