declare
  pwdmgmt_id      numeric(16);
  ps_id           numeric(16);
  ps_profile      numeric(16);
  ps_person       numeric(16);
  var_ret         numeric(1);
  cur_pwdmgmt     sys_refcursor;
  cur_ps          sys_refcursor;

begin
  var_ret := db2_trg_disable ( 'trg_person_service_to_eventpm' );

  open cur_ps for select ps.id, ps.profile, ps.person from person_service ps where ps.pwdmanagement is null;
  loop
    fetch cur_ps into ps_id, ps_profile, ps_person;
    exit when cur_ps%NOTFOUND;
    open cur_pwdmgmt for
	select pwdmgmt.id from pwdmanagement pwdmgmt, application app, target tar, entitlement ent where pwdmgmt.is_default = 1 and pwdmgmt.is_default = 1 and pwdmgmt.person = ps_person and pwdmgmt.pwdcfg = tar.pwdcfg and app.target = tar.id and app.id = ent.application and ent.id = ps_profile;
    loop
      fetch cur_pwdmgmt into pwdmgmt_id;
      exit when cur_pwdmgmt%NOTFOUND;
      update person_service perserv set pwdmanagement = pwdmgmt_id where perserv.id = ps_id;
    end loop;
	close cur_pwdmgmt;
  end loop;
  close cur_ps;

  commit;

  var_ret := db2_trg_enable ( 'trg_person_service_to_eventpm' );
end;
/
