declare
  cur_flow_type sys_refcursor;

  im_id         number(16);
  im_name       varchar2(256) := 'AGC';

  fc_id         number(16);
  fc_name       varchar2(256) := 'system';

  fevt_id       number(16);
  fevt_name     varchar2(256) := 'INTERNAL';
  
  fe_id         number(16);
  
  ft_id         number(16);
  
  f_id          number(16);
  f_name        varchar2(256) := 'REMOVE_USER_ROLE';
  f_desc        varchar2(512) := '';

  f_lob         clob := 'package tREMOVE_USER_ROLE
'||'
'||'    import com.engiweb.logger.impl.Log4JImpl;
'||'    global com.engiweb.profilemanager.backend.dao.db.SQLH sql;
'||'    global com.engiweb.logger.impl.Log4JImpl logger;
'||'
'||'';

 counter       number(16);
begin
  select count(1) into counter from ideas_module t where lower ( t.code ) = lower ( im_name );
  if ( counter = 1 ) then
    select t.id into im_id from ideas_module t where lower ( t.code ) = lower ( im_name );
  else
    RAISE_APPLICATION_ERROR ( -20200, 'NO IDEAS MODULE FOUND');
  end if;

  select count(1) into counter from flow_context t where lower ( t.name ) = lower ( fc_name );
  if ( counter = 1 ) then
    select t.id into fc_id from flow_context t where lower ( t.name ) = lower ( fc_name );
  else
    RAISE_APPLICATION_ERROR ( -20200, 'NO FLOW CONTEXT FOUND');
  end if;
  
  select count(1) into counter from flow_type t;
  if ( counter = 0 ) then
    RAISE_APPLICATION_ERROR ( -20200, 'NO FLOW TYPE FOUND');
  end if;

  select count(1) into counter from flow_event_type t
  where t.flow_context = fc_id and t.ideas_module = im_id and lower ( t.name ) = lower ( fevt_name );
  if ( counter = 0 ) then
    select flow_event_type_seq.nextval into fevt_id from dual;
    insert into flow_event_type ( id, flow_context, name, ideas_module )
    values ( fevt_id, fc_id, fevt_name, im_id );
  else
    select t.id into fevt_id from flow_event_type t
    where t.flow_context = fc_id and t.ideas_module = im_id and lower ( t.name ) = lower ( fevt_name );
  end if;
  
  select count(1) into counter from flow t
  where t.ideas_module = im_id and t.flow_event_type = fevt_id and lower ( t.name ) = lower ( f_name ); 
  if ( counter = 0 ) then
    select flow_seq.nextval into f_id from dual;
    insert into flow ( id, flow_event_type, name, description, creation_user, last_mod_user, flow_lob, ideas_module )
    values ( f_id, fevt_id, f_name, f_desc, '&IDEAS_VERSION', '&IDEAS_VERSION', f_lob, im_id );
  else
    select t.id into f_id from flow t
    where t.ideas_module = im_id and t.flow_event_type = fevt_id and lower ( t.name ) = lower ( f_name );
	update flow set flow_lob = f_lob where id = f_id;
  end if;
  
  open cur_flow_type for
    select id from flow_type t;
  loop
    fetch cur_flow_type into ft_id;
    exit when cur_flow_type%NOTFOUND;
    select count(1) into counter from flow_entity t
  	where t.ideas_module = im_id and t.flow = f_id and t.flow_type = ft_id and t.flow_entity_type = 0 and t.parent is null; 
  	if ( counter = 0 ) then
	    select flow_entity_seq.nextval into fe_id from dual;
	    
	    insert into flow_entity ( id, flow, flow_type, root, parent, flow_entity_type, position, creation_user, last_mod_user, ideas_module)
	    values ( fe_id, f_id, ft_id, fe_id, null, 0, 0, '&IDEAS_VERSION', '&IDEAS_VERSION', im_id );
	end if;
  end loop;

end;
/
commit;