CREATE OR REPLACE TRIGGER TRG_USER_EVENT_ERC_EVENT_OUT
  AFTER UPDATE OR DELETE ON USER_EVENT_ERC
  FOR EACH ROW
declare
  feedback_status      number(16);
  counter              number(16);

begin
  if ( updating and ( :new.status is null OR ( :new.status = :old.status ) OR :new.event_out is null ) ) then
    return;
  end if;

  if ( deleting and ( :old.status is null OR :old.event_out is null ) ) then
    return;
  end if;

  if ( updating ) then
    update event_out set erc_status = :new.status, trace = :new.trace where id = :new.event_out;

    if ( :new.operation in ( 1, 2, 6, 7, 11 ) ) then
      if ( :new.status = 1 ) then
        feedback_status := 1;
      elsif ( :new.status >= 2 ) then
        feedback_status := 2;
      else
        feedback_status := -1;
      end if;

      if ( feedback_status <> -1 ) then
        if ( :new.operation in ( 1, 2  ) ) then
          select count(1) into counter from feedback
          where lower ( funct_application ) = lower ( :new.application ) and lower ( application ) = lower ( :new.target )
          and lower ( funct_type ) = lower ( :new.attr2 ) and lower ( funct ) = lower ( :new.attr1 )
          and lower ( cod_operation ) = lower ( :new.cod_operation ) and operation = :new.operation
          and user_erc = :new.user_erc;
        elsif ( :new.operation in ( 6, 7 ) ) then
          select count(1) into counter from feedback
          where lower ( application ) = lower ( :new.target )
          and lower ( cod_operation ) = lower ( :new.cod_operation ) and operation = :new.operation
          and user_erc = :new.user_erc;
        elsif ( :new.operation = 11 ) then
          select count(1) into counter from feedback, pwdmanagement
          where lower ( application ) = lower ( :new.target )
          and lower ( cod_operation ) = lower ( :new.cod_operation ) and operation = :new.operation
          and user_erc = :new.user_erc
          and authorizations = pwdmanagement.id
          and lower ( pwdmanagement.code ) = lower ( :new.user_id );
        end if;

        if ( counter = 1 ) then
          if ( :new.operation in ( 1, 2  ) ) then
            update feedback
            set status = feedback_status
            where lower ( funct_application ) = lower ( :new.application ) and lower ( application ) = lower ( :new.target )
            and lower ( funct_type ) = lower ( :new.attr2 ) and lower ( funct ) = lower ( :new.attr1 )
            and lower ( cod_operation ) = lower ( :new.cod_operation ) and operation = :new.operation
            and user_erc = :new.user_erc;
          elsif ( :new.operation in ( 6, 7 ) ) then
            update feedback
            set status = feedback_status
            where lower ( application ) = lower ( :new.target )
            and lower ( cod_operation ) = lower ( :new.cod_operation ) and operation = :new.operation
            and user_erc = :new.user_erc;
          elsif ( :new.operation = 11 ) then
            update feedback
            set status = feedback_status
            where lower ( application ) = lower ( :new.target )
            and lower ( cod_operation ) = lower ( :new.cod_operation ) and operation = :new.operation
            and user_erc = :new.user_erc
            and authorizations in (select pwdmanagement.id from pwdmanagement where lower ( code ) = lower ( :new.user_id ));
          end if;
        end if;
      end if;
    end if;

  elsif ( deleting ) then
    update event_out set erc_status = :old.status, trace = :old.trace where id = :old.event_out;
   
    if ( :old.operation in ( 1, 2, 6, 7, 11  ) ) then
      if ( :old.status = 1 ) then
        feedback_status := 1;
      elsif ( :old.status >= 2 ) then
        feedback_status := 2;
      else
        feedback_status := -1;
      end if;

      if ( feedback_status <> -1 ) then
        if ( :old.operation in ( 1, 2  ) ) then
          select count(1) into counter from feedback
          where lower ( funct_application ) = lower ( :old.application ) and lower ( application ) = lower ( :old.target )
          and lower ( funct_type ) = lower ( :old.attr2 ) and lower ( funct ) = lower ( :old.attr1 )
          and lower ( cod_operation ) = lower ( :old.cod_operation ) and operation = :old.operation
          and user_erc = :old.user_erc;
        elsif ( :old.operation in ( 6, 7 ) ) then
          select count(1) into counter from feedback
          where lower ( application ) = lower ( :old.target )
          and lower ( cod_operation ) = lower ( :old.cod_operation ) and operation = :old.operation
          and user_erc = :old.user_erc;
        elsif ( :old.operation = 11 ) then
          select count(1) into counter from feedback, pwdmanagement
          where lower ( application ) = lower ( :old.target )
          and lower ( cod_operation ) = lower ( :old.cod_operation ) and operation = :old.operation
          and user_erc = :old.user_erc
          and authorizations = pwdmanagement.id
          and lower ( pwdmanagement.code ) = lower ( :old.user_id );
        end if;

        if ( counter = 1 ) then
          if ( :old.operation in ( 1, 2  ) ) then
            update feedback
            set status = feedback_status
            where lower ( funct_application ) = lower ( :old.application ) and lower ( application ) = lower ( :old.target )
            and lower ( funct_type ) = lower ( :old.attr2 ) and lower ( funct ) = lower ( :old.attr1 )
            and lower ( cod_operation ) = lower ( :old.cod_operation ) and operation = :old.operation
            and user_erc = :old.user_erc;
          elsif ( :old.operation in ( 6, 7 ) ) then
            update feedback
            set status = feedback_status
            where lower ( application ) = lower ( :old.target )
            and lower ( cod_operation ) = lower ( :old.cod_operation ) and operation = :old.operation
            and user_erc = :old.user_erc;
          elsif ( :old.operation = 11 ) then
            update feedback
            set status = feedback_status
            where lower ( application ) = lower ( :old.target )
            and lower ( cod_operation ) = lower ( :old.cod_operation ) and operation = :old.operation
            and user_erc = :old.user_erc
            and authorizations in (select pwdmanagement.id from pwdmanagement where lower ( code ) = lower ( :old.user_id ));
          end if;
        end if;
      end if;
    end if;

  end if;

end TRG_USER_EVENT_ERC_EVENT_OUT;
/