CREATE OR REPLACE TRIGGER TRG_ADD_REMOVE_ENT_FLAT_HIER
  AFTER INSERT ON ENTITLEMENT_FLAT_HIER
  FOR EACH ROW
declare
  ENT_PROFILE_TYPE       constant number(1) := 1;

  code_oper              varchar2(256);
  v_tar_sync             number(16);
  v_app_sync_dis         number(1);

  counter                number(16);
begin
  select count(1) into counter from tmp_codoperation;
  if ( counter = 0 ) then
    RAISE_APPLICATION_ERROR ( -20200, 'NO OPERATION CODE FOUND IN TMP_CODOPERATION TABLE' );
  elsif ( counter = 1 ) then
    select code into code_oper from tmp_codoperation;
  elsif  ( counter > 1 ) then
    RAISE_APPLICATION_ERROR ( -20201, 'TOO MANY OPERATION CODE FOUND IN TMP_CODOPERATION TABLE' );
  end if;

  -- add profile
  if ( inserting ) then
    if ( :new.child_int_type = ENT_PROFILE_TYPE and :new.ext_fulfillment_limit = 0 ) then
      select p.sync, a.sync_disable into v_tar_sync, v_app_sync_dis
      from application a, target t, pwdcfg p
      where t.id = a.target and a.id = :new.child_application
      and t.pwdcfg = p.id;

      -- verifico se l'applicazione e propagabile
      if ( ( v_tar_sync is null or v_tar_sync = 0 ) or v_app_sync_dis <> 0 ) then
        return;
      end if;

      --e' necessario passare per la tabella di employment perche dobbiamo controllare
      --quali entitlement siano effettivamente posseduti dai person
      --se ci fosse un entitlement senza profili associato ad un utente (e quindi non presente
      --sulla tabella authorizations) una query fatta a partire dall'authorizations non
      --darebbe risultati corretti!
      insert into authorizations (id, person, entitlement, profile, cod_operation, entitlement_flat_hier, employment, account_code, pwdmanagement)
      select
        authorizations_seq.nextval, e.person, e.entitlement, :new.child, code_oper, :new.id, e.id,	pwd.code, 	pwd.id
    FROM
			employment e, 
			employment_pwdmanagement epwd, 
			pwdmanagement pwd
		WHERE
			e.entitlement = :new.parent
		AND e.represented is null
		AND e.id=epwd.employment
		AND pwd.id=epwd.pwdmanagement;

      -- deleghe
      insert into authorizations (id, person, entitlement, profile, represented, cod_operation, entitlement_flat_hier, employment, account_code, pwdmanagement)
      select
        authorizations_seq.nextval, e.person, e.entitlement, :new.child, e.represented, code_oper, :new.id, e.id,	pwd.code, 	pwd.id
    FROM
			employment e, 
			employment_pwdmanagement epwd, 
			pwdmanagement pwd
		WHERE
			e.entitlement = :new.parent
		AND e.represented is not null
		AND e.id=epwd.employment
		AND pwd.id=epwd.pwdmanagement;
    end if;

  end if;

end TRG_ADD_REMOVE_ENT_FLAT_HIER;
/
