declare
  stat        varchar2(2048);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-00955); -- name is already used by an existing object

begin
  stat := '
  CREATE TABLE CFG_DISPLAY_ENTITY_DETAILS
  (
    ID                             NUMBER(16)          NOT NULL,
    CFG_DISPLAY_ENTITY             NUMBER(16)          NOT NULL,
    NAME                           VARCHAR2(256 CHAR),
    STATUS                         NUMBER(1)           DEFAULT 1
  )
  TABLESPACE &DATA_TABLESPACE
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-02260); -- PK already defined

begin
  stat := '
  ALTER TABLE CFG_DISPLAY_ENTITY_DETAILS
    ADD CONSTRAINT CFG_DISPLAY_ENTITY_DETAILS_PK PRIMARY KEY (ID)
    USING INDEX TABLESPACE &INDEX_TABLESPACE COMPUTE STATISTICS
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-02275); -- such a referential constraint already exists in the table

begin
  stat := '
 ALTER TABLE CFG_DISPLAY_ENTITY_DETAILS ADD (
  CONSTRAINT CFG_DISPLAY_ENTITY_DETAILS_FK
 FOREIGN KEY (CFG_DISPLAY_ENTITY)
 REFERENCES CFG_DISPLAY_ENTITY (ID)
    ON DELETE CASCADE)
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

GRANT ALL ON CFG_DISPLAY_ENTITY_DETAILS TO IDEAS;
GRANT ALL ON CFG_DISPLAY_ENTITY_DETAILS TO IDEAS_CONNECTOR;

declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-00955); -- name is already used by an existing object

begin
  stat := '
  CREATE SEQUENCE CFG_DISPLAY_ENTITY_DETAILS_SEQ
    START WITH 100
    INCREMENT BY 1
    MINVALUE 1
    MAXVALUE 999999999999999999999999999
    NOCACHE
    NOCYCLE
    NOORDER
    ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

GRANT ALL ON CFG_DISPLAY_ENTITY_DETAILS_SEQ TO IDEAS;
GRANT ALL ON CFG_DISPLAY_ENTITY_DETAILS_SEQ TO IDEAS_CONNECTOR;
