declare
  rq_id            number(16);
  rq_name          varchar2(256) := 'Events. Outbound to target';
  rqd              clob;
  counter          number(16);
begin

 rqd := 'select distinct p.code as USER_CODE,
'||'                p.name as USER_NAME,
'||'                p.surname as USER_SURNAME,
'||'                p.email as USER_EMAIL,
'||'                p.dn as USER_DN,
'||'                p.cod_fisc as USER_SSN,
'||'                 case
'||'                  when p.sex=''0'' then ''Male''
'||'                  when p.sex=''1'' then ''Female''
'||'                end as USER_GENDER,
'||'                case
'||'                  when eo.operation=1 then ''Add Functionality''
'||'                  when eo.operation=2 then ''Remove Functionality''
'||'                  when eo.operation=4 then ''Add Delegation''
'||'                  when eo.operation=5 then ''Remove Delegation''
'||'                  when eo.operation=6 then ''Disable Account''
'||'                  when eo.operation=7 then ''Enable Account''
'||'                  when eo.operation=8 then ''Create Account''
'||'                  when eo.operation=9 then ''Remove Account''
'||'                  when eo.operation=10 then ''Modify Account''
'||'                  when eo.operation=11 then ''Change Password''
'||'                  when eo.operation=12 then ''Add Service''
'||'                  when eo.operation=13 then ''Remove Service''
'||'                  when eo.operation=14 then ''Add Resource''
'||'                  when eo.operation=15 then ''Remove Resource''
'||'                end as EVENT_OPERATION,
'||'                case
'||'                  when eo.state=''0'' then ''Unprocessed''
'||'                  when eo.state=''1'' then ''Success''
'||'                  when eo.state=''2'' then ''Error''
'||'                end as EVENT_STATUS,
'||'                eo.target as TARGET_NAME,
'||'                eo.application as APPLICATION_NAME,
'||'                eo.attr1 as EVENT_VALUE1,
'||'                eo.attr2 as EVENT_VALUE2,
'||'                eo.attr3 as EVENT_VALUE3,
'||'                eo.attr4 as EVENT_VALUE4,
'||'                eo.attr5 as EVENT_VALUE5,
'||'                eo.date_event as EVENT_DATE,
'||'                eo.date_process as PROCESS_EVENT_DATE
'||'  from #pmschema#.event_out eo, #pmschema#.person p
'||' where eo.person = p.id
'||'   and upper(p.name) like upper(''#user_name#'')
'||'   and upper(p.surname) like upper(''#user_surname#'')
'||'   and upper(p.code) like upper(''#user_code#'')
'||'   and eo.operation=#event_type_code#
'||'   and upper(eo.target) like upper(''#target_name#'')
'||'   and eo.date_event between to_timestamp(''#start_date#'', ''#ideas_simpledate# hh24:mi:ss,ff6'') and
'||'       to_timestamp(''#end_date#'', ''#ideas_simpledate# hh24:mi:ss,ff6'')
'||' order by p.code
';


  select count(1) into counter from r_query t where lower ( t.name ) = lower ( rq_name );
  
  if ( counter = 1 ) then
     select t.id into rq_id from r_query t where lower ( t.name ) = lower ( rq_name );
     
	 update r_query_data set query = rqd where r_query = rq_id;
  end if;
  
end;
/
commit;
