CREATE OR REPLACE TRIGGER TRG_ADD_REMOVE_ENT_FLAT_HIER
  AFTER INSERT ON ENTITLEMENT_FLAT_HIER
  FOR EACH ROW
declare
  ENT_PROFILE_TYPE       constant number(1) := 1;

  code_oper              varchar2(256);
  v_tar_sync             number(16);
  v_app_sync_dis         number(1);
  v_acc_cfg				 number(16);
  v_id_acc			     number(16);
  v_code_acc             varchar2(128);
  v_person 				 number(16); 
  v_entitlement 		 number(16); 
  v_id_ent 				 number(16);
  cur_tmp                sys_refcursor;

  counter                number(16);

begin
  select count(1) into counter from tmp_codoperation;
  if ( counter = 0 ) then
    RAISE_APPLICATION_ERROR ( -20200, 'NO OPERATION CODE FOUND IN TMP_CODOPERATION TABLE' );
  elsif ( counter = 1 ) then
    select code into code_oper from tmp_codoperation;
  elsif  ( counter > 1 ) then
    RAISE_APPLICATION_ERROR ( -20201, 'TOO MANY OPERATION CODE FOUND IN TMP_CODOPERATION TABLE' );
  end if;
  -- add profile

  if ( inserting ) then
    if ( :new.child_int_type = ENT_PROFILE_TYPE and :new.ext_fulfillment_limit = 0 ) then
      select p.sync, a.sync_disable, p.id into v_tar_sync, v_app_sync_dis, v_acc_cfg
      from application a, target t, pwdcfg p
      where t.id = a.target and a.id = :new.child_application
      and t.pwdcfg = p.id;

      -- verifico se l'applicazione e propagabile
      if ( ( v_tar_sync is null or v_tar_sync = 0 ) or v_app_sync_dis <> 0 ) then
        return;
      end if;

      v_id_acc := null;
      v_code_acc := null;

      -- direct assignments

      open cur_tmp for
      		select e.person, e.entitlement, e.id
      	      from employment e
	          where e.entitlement = :new.parent and 
	        		e.represented is null;
	  loop

	  fetch cur_tmp into v_person, v_entitlement, v_id_ent;
	 	exit when cur_tmp%NOTFOUND;

	 	  select count(1) into counter
			from employment_pwdmanagement ep, pwdmanagement p
			where ep.employment = v_id_ent and 
				  ep.pwdmanagement = p.id and
				  p.pwdcfg = v_acc_cfg;	

		if(counter = 1) then 
	      select distinct p.id, p.code into v_id_acc, v_code_acc
			from employment_pwdmanagement ep, pwdmanagement p
			where ep.employment = v_id_ent and 
				  ep.pwdmanagement = p.id and
				  p.pwdcfg = v_acc_cfg;
		end if;

	      insert into authorizations (id, person, entitlement, profile, cod_operation, entitlement_flat_hier, employment, pwdmanagement, account_code)
	      values (authorizations_seq.nextval, v_person, v_entitlement, :new.child, code_oper, :new.id, v_id_ent, v_id_acc, v_code_acc);

	   end loop;
	   close cur_tmp;

	  -- delegation
      open cur_tmp for

      		select e.person, e.entitlement, e.id
      	      from employment e
	          where e.entitlement = :new.parent and 
	        		e.represented is not null;
	  loop

	  fetch cur_tmp into v_person, v_entitlement, v_id_ent;
	 	exit when cur_tmp%NOTFOUND;

	      select count(1) into counter
			from employment_pwdmanagement ep, pwdmanagement p
			where ep.employment = v_id_ent and 
				  ep.pwdmanagement = p.id and
				  p.pwdcfg = v_acc_cfg;	

		if(counter = 1) then 
	      select distinct p.id, p.code into v_id_acc, v_code_acc
			from employment_pwdmanagement ep, pwdmanagement p
			where ep.employment = v_id_ent and 
				  ep.pwdmanagement = p.id and
				  p.pwdcfg = v_acc_cfg;
		end if; 

	      insert into authorizations (id, person, entitlement, profile, cod_operation, entitlement_flat_hier, employment, pwdmanagement, account_code)
	      values (authorizations_seq.nextval, v_person, v_entitlement, :new.child, code_oper, :new.id, v_id_ent, v_id_acc, v_code_acc);

	   end loop;
	   close cur_tmp;

    end if;
  end if;

end TRG_ADD_REMOVE_ENT_FLAT_HIER;
/